Bug 91009 - kernel BUG at buffer.c:559
kernel BUG at buffer.c:559
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 08:58 EDT by Ichiro ISHIKAWA
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ichiro ISHIKAWA 2003-05-16 08:58:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030225

Description of problem:
May 16 21:32:56 mycroft kernel: ------------[ cut here ]------------
May 16 21:32:56 mycroft kernel: kernel BUG at buffer.c:559!
May 16 21:32:56 mycroft kernel: invalid operand: 0000
May 16 21:32:56 mycroft kernel: ide-cd cdrom parport_pc lp parport
iptable_filter ip_tables autofs 3c59x loop lvm-mod keybdev mousedev hid input
usb-uhci usbcore ext3 jbd  
May 16 21:32:56 mycroft kernel: CPU:    0
May 16 21:32:56 mycroft kernel: EIP:    0060:[<c014874e>]    Not tainted
May 16 21:32:56 mycroft kernel: EFLAGS: 00010286
May 16 21:32:56 mycroft kernel: 
May 16 21:32:56 mycroft kernel: EIP is at __insert_into_lru_list [kernel] 0x1e
(2.4.20-9)
May 16 21:32:56 mycroft kernel: eax: c9b4943c   ebx: 00000002   ecx: c9d921b8  
edx: c039ef0c
May 16 21:32:56 mycroft kernel: esi: c9d921b8   edi: c9d921b8   ebp: 00001000  
esp: ca2d1e70
May 16 21:32:56 mycroft kernel: ds: 0068   es: 0068   ss: 0068
May 16 21:32:56 mycroft kernel: Process scp (pid: 1177, stackpage=ca2d1000)
May 16 21:32:56 mycroft kernel: Stack: 00000002 c014909b c9d921b8 00000002
c9d921b8 00001000 c0149c82 c9d921b8 
May 16 21:32:56 mycroft kernel:        00000000 12f7f000 00000000 c11041e8
ca206580 c014a48f ca206580 c11041e8 
May 16 21:32:56 mycroft kernel:        00000000 00001000 c11041e8 ca206580
00000000 08050c58 d88200a0 ca7c3d00 
May 16 21:32:56 mycroft kernel: Call Trace:   [<c014909b>] __refile_buffer
[kernel] 0x5b (0xca2d1e74))
May 16 21:32:56 mycroft kernel: [<c0149c82>] __block_commit_write [kernel] 0xb2
(0xca2d1e88))
May 16 21:32:56 mycroft kernel: [<c014a48f>] generic_commit_write [kernel] 0x3f
(0xca2d1ea4))
May 16 21:32:56 mycroft kernel: [<d88200a0>] ext3_commit_write [ext3] 0x160
(0xca2d1ec8))
May 16 21:32:56 mycroft kernel: [<d881fd60>] journal_dirty_sync_data [ext3] 0x0
(0xca2d1ee4))
May 16 21:32:56 mycroft kernel: [<c0136425>] generic_file_write [kernel] 0x4b5
(0xca2d1f04))
May 16 21:32:56 mycroft kernel: [<d881d089>] ext3_file_write [ext3] 0x39
(0xca2d1f74))
May 16 21:32:56 mycroft kernel: [<c0146ee3>] sys_write [kernel] 0xa3 (0xca2d1f94))
May 16 21:32:56 mycroft kernel: [<c010953f>] system_call [kernel] 0x33 (0xca2d1fc0))
May 16 21:32:56 mycroft kernel: 
May 16 21:32:56 mycroft kernel: 
May 16 21:32:56 mycroft kernel: Code: 0f 0b 2f 02 d7 02 26 c0 8b 02 85 c0 75 07
89 0a 89 49 24 8b 
May 16 21:32:57 mycroft kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000020
May 16 21:32:57 mycroft kernel:  printing eip:
May 16 21:32:57 mycroft kernel: c01489a4
May 16 21:32:57 mycroft kernel: *pde = 00000000
May 16 21:32:57 mycroft kernel: Oops: 0000
May 16 21:32:57 mycroft kernel: ide-cd cdrom parport_pc lp parport
iptable_filter ip_tables autofs 3c59x loop lvm-mod keybdev mousedev hid input
usb-uhci usbcore ext3 jbd  
May 16 21:32:57 mycroft kernel: CPU:    0
May 16 21:32:57 mycroft kernel: EIP:    0060:[<c01489a4>]    Not tainted
May 16 21:32:57 mycroft kernel: EFLAGS: 00010206
May 16 21:32:57 mycroft kernel: 
May 16 21:32:57 mycroft kernel: EIP is at invalidate_bdev [kernel] 0x44 (2.4.20-9)
May 16 21:32:57 mycroft kernel: eax: 00001600   ebx: 00000000   ecx: 00001600  
edx: 00001600
May 16 21:32:57 mycroft kernel: esi: 00002d11   edi: 00000000   ebp: 00000000  
esp: cdf25f28
May 16 21:32:57 mycroft kernel: ds: 0068   es: 0068   ss: 0068
May 16 21:32:57 mycroft kernel: Process magicdev (pid: 1095, stackpage=cdf25000)
May 16 21:32:57 mycroft kernel: Stack: 00001600 00001600 00000000 00000001
c1f9e240 c1f9e240 c1f9e25c d5cb9300 
May 16 21:32:57 mycroft kernel:        00000000 c014d30b c1f9e240 00000001
c1f9e240 c1f9e240 c014e19d c1f9e240 
May 16 21:32:57 mycroft kernel:        00000000 cb681e80 c1fe2340 d5ccb780
cb348d80 c0147db2 c1f9e240 00000000 
May 16 21:32:57 mycroft kernel: Call Trace:   [<c014d30b>] kill_bdev [kernel]
0x1b (0xcdf25f4c))
May 16 21:32:57 mycroft kernel: [<c014e19d>] blkdev_put [kernel] 0xad (0xcdf25f60))
May 16 21:32:57 mycroft kernel: [<c0147db2>] fput [kernel] 0x102 (0xcdf25f7c))
May 16 21:32:57 mycroft kernel: [<c014638d>] filp_close [kernel] 0x4d (0xcdf25f98))
May 16 21:32:57 mycroft kernel: [<c014640e>] sys_close [kernel] 0x4e (0xcdf25fb0))
May 16 21:32:57 mycroft kernel: [<c010953f>] system_call [kernel] 0x33 (0xcdf25fc0))
May 16 21:32:57 mycroft kernel: 
May 16 21:32:57 mycroft kernel: 
May 16 21:32:57 mycroft kernel: Code: 8b 7b 20 66 39 53 0c 74 33 4e 85 f6 89 fb
7f ec 45 83 fd 02 

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Didn't try


Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.